| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes

# IG::Script::AppExtBase Class Reference

Internal script for running embedded applications. More...

Inheritance diagram for IG::Script::AppExtBase:
[legend]
Collaboration diagram for IG::Script::AppExtBase:
[legend]

List of all members.

## Public Member Functions
| AppExtBase ()
override void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Adds commands to the internal interpreter.
virtual string | AppFormDemo (string[] arguments)
| Runs one of the form demo - related embedded applications.
## Public Attributes
const string | ConstFormDemo = "FormDemo"
| Name of the command for the file system-related embedded applications.
const string | ConstHelpFormDemo
const string | FormDemoFadingMessage = "FadingMessage"
const string | FormDemoBrowserSimple = "Browser"
## Protected Member Functions
void | AddFormDemoCommand (string appName, CommandMethod appMethod, string appHelp)
| Adds a new form demonstration - related embedded application's command (added as a sub-command of the base command named ConstFormDemo).
virtual string | FormDemoFunctionFadingMessage (string appName, string[] args)
| Executes embedded application - demonstration of fading messages.
virtual string | FormDemoFunctionBrowserSimple (string appName, string[] args)
| Executes embedded application - demonstration of fading messages.
virtual void | InitAppFormDemo ()
| Initializes commands for form demo related utilities (embedded applications).
virtual string | RunAppFormDemo (string[] args)
| Runs a form demo - related utility (embedded application) according to arguments.
## Protected Attributes
List< string > | AppFormDemoNames = new List<string>()
| List of installed form demo command names.
List< string > | AppFormDemoHelpStrings = new List<string>()
| List of help strings corresponding to installed form demo commands.
List< CommandMethod > | AppFormDemoMethods = new List<CommandMethod>()
| List of methods used to perform form demo commmands.
const string | FormDemoHelpFadingMessage = " : Runs the fading message demo."
const string | FormDemoHelpBrowserSimple = " : Runs the fading message demo."
bool | _appFormDemoCommandsInitialized = false

## Detailed Description

Internal script for running embedded applications.

In the applications that have the command-line interpreter, embedded applications from this class can typically be run in the following way:

AppName Internal IG.Script.AppExtBase CommandName arg1 arg2 ...

where AppName is the application name, IG.Script.AppBase is the full name of the script class that contains embedded applications, CommandName is name of the command thar launches embedded application, and arg1, arg2, etc. are command arguments for the embedded application.

See also:
  ScriptAppBase

$A Igor xx Feb03;

## Constructor & Destructor Documentation

IG::Script::AppExtBase::AppExtBase | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Script::AppExtBase::Script_AddCommands | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings
| ) |  | `[inline, virtual]`

Adds commands to the internal interpreter.

Parameters:

  interpreter | Interpreter where commands are executed.
  helpStrings | List containg help strings.

Reimplemented from IG::Script::AppBase.

void IG::Script::AppExtBase::AddFormDemoCommand | ( | string | appName,
|  | CommandMethod | appMethod,
|  | string | appHelp
| ) |  | `[inline, protected]`

Adds a new form demonstration - related embedded application's command (added as a sub-command of the base command named ConstFormDemo).

Parameters:

  appName | Application name.
  appMethod | Method used to perform the application.
  appHelp | Eventual help string for the application.

virtual string IG::Script::AppExtBase::FormDemoFunctionFadingMessage | ( | string | appName,
|  | string[] | args
| ) |  | `[inline, protected, virtual]`

Executes embedded application - demonstration of fading messages.

Parameters:

  appName | Name of the embedded application.
  args | Arguments fo the embedded application's command.

Returns:
  Number of arguments passed.

virtual string IG::Script::AppExtBase::FormDemoFunctionBrowserSimple | ( | string | appName,
|  | string[] | args
| ) |  | `[inline, protected, virtual]`

Executes embedded application - demonstration of fading messages.

Parameters:

  appName | Name of the embedded application.
  args | Arguments fo the embedded application's command.

Returns:
  Number of arguments passed.

virtual void IG::Script::AppExtBase::InitAppFormDemo | ( |  | ) | `[inline, protected, virtual]`

Initializes commands for form demo related utilities (embedded applications).

virtual string IG::Script::AppExtBase::RunAppFormDemo | ( | string[] | args | ) | `[inline, protected, virtual]`

Runs a form demo - related utility (embedded application) according to arguments.

Parameters:

  args | Arguments. 0-th argument is the base command name, 1st argument is the embedded application name, and the rest are arguments that are used by the embedded application.

virtual string IG::Script::AppExtBase::AppFormDemo | ( | string[] | arguments | ) | `[inline, virtual]`

Runs one of the form demo - related embedded applications.

Parameters:

  arguments | Array containing the base command name, application command name and arguments.

## Member Data Documentation

const string IG::Script::AppExtBase::ConstFormDemo = "FormDemo"

Name of the command for the file system-related embedded applications.

const string IG::Script::AppExtBase::ConstHelpFormDemo

Initial value:

    @"Various windows forms-related demonstrational embedded applications.
      Run with the '?' argument to see which applications are available."

List<string> IG::Script::AppExtBase::AppFormDemoNames = new List<string>()`[protected]`

List of installed form demo command names.

List<string> IG::Script::AppExtBase::AppFormDemoHelpStrings = new List<string>()`[protected]`

List of help strings corresponding to installed form demo commands.

List<CommandMethod> IG::Script::AppExtBase::AppFormDemoMethods = new List<CommandMethod>()`[protected]`

List of methods used to perform form demo commmands.

const string IG::Script::AppExtBase::FormDemoFadingMessage = "FadingMessage"

const string IG::Script::AppExtBase::FormDemoHelpFadingMessage = " : Runs the fading message demo."`[protected]`

const string IG::Script::AppExtBase::FormDemoBrowserSimple = "Browser"

const string IG::Script::AppExtBase::FormDemoHelpBrowserSimple = " : Runs the fading message demo."`[protected]`

bool IG::Script::AppExtBase::_appFormDemoCommandsInitialized = false`[protected]`

The documentation for this class was generated from the following file:

- AppExtBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events